tigase.jaxmpp.core.client.xmpp.modules.filetransfer

## Interface FileTransferModule.FileTransferRequestHandler

- All Superinterfaces:
    EventHandler
  All Known Implementing Classes:
    Socks5FileTransferNegotiator
  Enclosing class:
    FileTransferModule

      public static interface FileTransferModule.FileTransferRequestHandler
      extends EventHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `FileTransferModule.FileTransferRequestHandler.FileTransferRequestEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onFileTransferRequest(SessionObject sessionObject, FileTransfer fileTransfer, String id, List<String> streamMethods)`

- - ### Method Detail

    - #### onFileTransferRequest

          void onFileTransferRequest(SessionObject sessionObject,
                                     FileTransfer fileTransfer,
                                     String id,
                                     List<String> streamMethods)

Copyright © 2006–2020 Tigase. All rights reserved.